Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_WString_out Class Reference

CORBA_WString_out. More...

`#include <CORBA_String.h>`

List of all members.

## Public Methods
| CORBA_WString_out (CORBA::WChar *&p)
| Construction from a reference to a string.
| CORBA_WString_out (CORBA_WString_var &p)
| Construction from a var.
| CORBA_WString_out (const CORBA_WString_out &s)
| Copy constructor.
CORBA_WString_out& | operator= (const CORBA_WString_out &s)
| Assignment from a string_out.
CORBA_WString_out& | operator= (CORBA::WChar *p)
| Assignment from a string.
| operator CORBA::WChar *& ()
| Cast.
CORBA::WChar*& | ptr (void)
| Return underlying instance.
## Private Methods
void | operator= (const CORBA_WString_var &)
## Private Attributes
CORBA::WChar*& | ptr_
| Instance.

## Detailed Description

CORBA_WString_out.

To support the memory management for "out" parameter passing mode. ORBOS/97-05-15, Appendix C.2 defines a CORBA_WString_out class

## Constructor & Destructor Documentation

ACE_INLINE CORBA_WString_out::CORBA_WString_out ( | CORBA::WChar *& s )

| Construction from a reference to a string.

ACE_INLINE CORBA_WString_out::CORBA_WString_out ( | CORBA_WString_var & s )

| Construction from a var.

ACE_INLINE CORBA_WString_out::CORBA_WString_out ( | const CORBA_WString_out & s )

| Copy constructor.

## Member Function Documentation

ACE_INLINE CORBA_WString_out::operator CORBA::WChar *& ( | )

| Cast.

void CORBA_WString_out::operator= ( | const CORBA_WString_var & )`[private]`

ACE_INLINE CORBA_WString_out & CORBA_WString_out::operator= ( | CORBA::WChar * s )

| Assignment from a string.

ACE_INLINE CORBA_WString_out & CORBA_WString_out::operator= ( | const CORBA_WString_out & s )

| Assignment from a string_out.

ACE_INLINE CORBA::WChar *& CORBA_WString_out::ptr ( | void )

| Return underlying instance.

## Member Data Documentation

CORBA::WChar *& CORBA_WString_out::ptr_`[private]`

| Instance.

The documentation for this class was generated from the following files:

- CORBA_String.h
- CORBA_String.inl